leaseUnitLedgerEntry resource type

Represents a Lease Unit Ledger Entry in SOFT4Spaces.

Note

For information about enabling APIs for Business Central see Overview.

 

 

API endpoint

 

API Path
leaseUnitLedgerEntry businesscentralPrefix/soft4/soft4spaces/v3.0/companies({{companyId}})/leaseUnitLedgerEntries

 

Methods

 

Method Return Type Description
GET leaseUnitLedgerEntry leaseUnitLedgerEntry Gets a lease unit ledger entry object.
DELETE leaseUnitLedgerEntry none Deletes a lease unit ledger entry object.
POST leaseUnitLedgerEntry leaseUnitLedgerEntry Creates a lease unit ledger entry object.
PATCH leaseUnitLedgerEntry leaseUnitLedgerEntry Updates a lease unit ledger entry object.

 

GET leaseUnitLedgerEntry

Description

Retrieves an existing lease unit ledger entry record from Business Central.

HTTP Request

GET

https://{{businesscentralPrefix}}/{{APIGroup}}/{{version}}/companies({{companyId}})/leaseUnitLedgerEntries

Request Headers

Header Value
Authorization NTLM, OAuth2. Required.
Accept application/json

Request Body

None.

Response

Returns a 200 OK status code and JSON object representing the lease unit ledger entry record.

Example Response

JSON

{
   "id": "cf383720-91c4-ec11-8aa5-000d3adf2905",
      "leaseUnitNo": "LU00001",
      "description": "",
      "quantity": 100,
      "userId": "F2652B0D99764217B16C0FD42629E85B",
      "entryNo": 1,
      "systemCreatedAt": "2022-04-25T12:13:34.143Z",
      "systemCreatedBy": "b0146dc8-5ba3-4926-9c86-44cd3f7df8d2",
      "systemModifiedAt": "2022-04-25T12:13:34.143Z",
      "systemModifiedBy": "b0146dc8-5ba3-4926-9c86-44cd3f7df8d2"
},

{

   "id": "9350900d-96d8-ef11-8eec-7c1e5276655f",
      "postingDate": "2024-12-01",
      "leaseUnitNo": "LU00001",
      "description": "Office 101",
      "quantity": 20,
      "userId": "USER_F2652B0D99764217B16C0FD42629E85B",
      "entryNo": 2,
      "systemCreatedAt": "2025-01-22T07:54:06.753Z",
      "systemCreatedBy": "7732bc76-52e0-4e48-91b8-c5baa372b367",
      "systemModifiedAt": "2025-01-22T07:54:06.753Z",
      "systemModifiedBy": "7732bc76-52e0-4e48-91b8-c5baa372b367"
}

 

GET [filter] leaseUnitLedgerEntry

Description

Retrieves and filters an existing lease unit ledger entry record from Business Central.

HTTP Request

GET

https://{{businesscentralPrefix}}/{{APIGroup}}/{{version}}/companies({{companyId}})/leaseUnitLedgerEntries?$filter=LeaseUnitNo eq 'LU00001'

Request Headers

Header Value
Authorization NTLM, OAuth2. Required.
Accept application/json

Request Body

None.

Response

Returns a 200 OK status code and JSON object representing the filtered lease unit ledger entry record.

Example Response

JSON

{
   "id": "cf383720-91c4-ec11-8aa5-000d3adf2905",
      "postingDate": "2022-01-01",
      "leaseUnitNo": "LU00001",
      "description": "",
      "quantity": 100,
      "userId": "USER_F2652B0D99764217B16C0FD42629E85B",
      "entryNo": 1,
      "systemCreatedAt": "2022-04-25T12:13:34.143Z",
      "systemCreatedBy": "b0146dc8-5ba3-4926-9c86-44cd3f7df8d2",
      "systemModifiedAt": "2022-04-25T12:13:34.143Z",
      "systemModifiedBy": "b0146dc8-5ba3-4926-9c86-44cd3f7df8d2"
}

 

Properties

 

Property Type Description
id GUID The unique ID of the lease unit ledger entry. Non-editable.
postingDate date Specifies the posting date of the lease unit ledger entry.
leaseUnitNo string Specifies the lease unit number of the lease unit ledger entry.
description string Specifies the description of the lease unit ledger entry.
quantity decimal Specifies the difference of area changes.
userID string The ID of the user who created the lease unit ledger entry.
entryNo integer Specifies the entry number of lease unit ledger entry.
systemCreatedAt datetime The datetime the lease unit ledger entry was created. 
systemCreatedBy GUID The ID of the user who created the lease unit ledger entry.
systemModifiedAt datetime The last datetime the lease unit ledger entry was modified. 
systemModifiedBy GUID The ID of the user who modified the lease unit ledger entry.

 

JSON Representation

{
   "id": "GUID",
      "postingDate": "date",
      "leaseUnitNo": "string",
      "description": "string",
      "quantity": "decimal",
      "userID": "string",
      "entryNo": "integer",
      "systemCreatedAt": "datetime",
      "systemCreatedBy": "GUID",
      "systemModifiedAt": "datetime",
      "systemModifiedBy": "GUID"
}